Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 27 May 2021 05:13:05 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi,

I had placed an order on 14 May, 2021, Its being more than 11 days, my order has not been dispatched from the stores, I'm fed-up calling to center point customer care to book a complain, However, all my complains went in vain, 

Therefore, I want to cancel my order no. 6307931560, kindly return my money as soon as possible.

Thanks for the worst customer service, I have ever come across. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2629332